/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/action/About.java,v $
 * $Revision: 1.3 $
 * $Date: 2004/11/12 18:03:47 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.action;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

public class About implements Action
{

  /**
   * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
   */
  public void handleAction(Object context) throws ApplicationException
  {
  	try
  	{
			new de.willuhn.jameica.example.gui.view.About(AbstractDialog.POSITION_CENTER).open();
  	}
  	catch (Exception e)
  	{
  		Logger.error("error while opening about dialog",e);
  		throw new ApplicationException(Settings.i18n().tr("Error while opening the About dialog"));
  	}
  }

}


/**********************************************************************
 * $Log: About.java,v $
 * Revision 1.3  2004/11/12 18:03:47  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/05 00:08:26  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/03 20:05:40  willuhn
 * *** empty log message ***
 *
 **********************************************************************/