/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/menu/ProjectListMenu.java,v $
 * $Revision: 1.1 $
 * $Date: 2004/11/04 23:58:58 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.menu;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.gui.action.ProjectDelete;
import de.willuhn.jameica.example.gui.action.ProjectDetail;
import de.willuhn.jameica.example.gui.action.TaskDetail;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;
import de.willuhn.util.ApplicationException;

/**
 * Prepared context menu for project tables. 
 */
public class ProjectListMenu extends ContextMenu
{
	/**
   * ct.
   */
  public ProjectListMenu()
	{
		// CheckedContextMenuItems will be disabled, if the user clicks into an empty space of the table
		addItem(new CheckedContextMenuItem(Settings.i18n().tr("Open..."),new ProjectDetail()));

		// separator
		addItem(ContextMenuItem.SEPARATOR);

		addItem(new CheckedContextMenuItem(Settings.i18n().tr("Add new task within this project"),new TaskDetail()));

		addItem(new ContextMenuItem(Settings.i18n().tr("Create a new project"),new Action()
		{
			public void handleAction(Object context) throws ApplicationException
			{
				// we force the context to be null to create a new project in any case
				new ProjectDetail().handleAction(null);
			}
		}));

		addItem(ContextMenuItem.SEPARATOR);
		addItem(new CheckedContextMenuItem(Settings.i18n().tr("Delete Project"),new ProjectDelete()));

	}
}


/**********************************************************************
 * $Log: ProjectListMenu.java,v $
 * Revision 1.1  2004/11/04 23:58:58  willuhn
 * *** empty log message ***
 *
 **********************************************************************/