/**********************************************************************
 * $Source: /export/CVS/jameica_exampleplugin/src/de/willuhn/jameica/example/gui/view/ProjectList.java,v $
 * $Revision: 1.3 $
 * $Date: 2004/11/05 20:10:13 $
 * $Author: willuhn $
 * $Locker:  $
 * $State: Exp $
 *
 * Copyright (c) by willuhn.webdesign
 * All rights reserved
 *
 **********************************************************************/
package de.willuhn.jameica.example.gui.view;

import de.willuhn.jameica.example.Settings;
import de.willuhn.jameica.example.gui.action.Back;
import de.willuhn.jameica.example.gui.action.ProjectDetail;
import de.willuhn.jameica.example.gui.control.ProjectControl;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.util.ButtonArea;
import de.willuhn.util.ApplicationException;

/**
 * View to show the list of existing projects.
 */
public class ProjectList extends AbstractView
{

  /**
   * @see de.willuhn.jameica.gui.AbstractView#bind()
   */
  public void bind() throws Exception {

		GUI.getView().setTitle(Settings.i18n().tr("Existing projects"));
		
		ProjectControl control = new ProjectControl(this);
		
		control.getProjectsTable().paint(this.getParent());
		
		ButtonArea buttons = new ButtonArea(this.getParent(),2);
		buttons.addButton(Settings.i18n().tr("<< Back"),				  		new Back());
		
		// the last parameter "true" makes the button the default one
		buttons.addButton(Settings.i18n().tr("Create new project"),		new ProjectDetail(),null,true);
		
  }

  /**
   * @see de.willuhn.jameica.gui.AbstractView#unbind()
   */
  public void unbind() throws ApplicationException {
  }

}


/**********************************************************************
 * $Log: ProjectList.java,v $
 * Revision 1.3  2004/11/05 20:10:13  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/11/04 23:58:57  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/04 19:30:04  willuhn
 * *** empty log message ***
 *
 * Revision 1.1  2004/11/03 20:05:40  willuhn
 * *** empty log message ***
 *
 * Revision 1.2  2004/06/30 20:57:52  willuhn
 * *** empty log message ***
 *
 **********************************************************************/